SRCS	= $(wildcard *.cpp)
OBJS	= $(patsubst %.cpp,%.o,$(SRCS))

SRCC	= $(wildcard *.cc)
OBJCC	= $(patsubst %.cc,%.o,$(SRCC))

all:	$(OBJS) $(OBJCC)
	ar rcs libewald.a *.o

%.o:	%.cpp
	g++ -O2 -c $< -o $@

%.o:	%.cc
	gcc -O2 -c $< -o $@

clean:
	rm -f *.o; rm -f *.a
